Package org.apache.felix.eventadmin.impl.tasks

## Class DenylistLatch

- java.lang.Object
- - org.apache.felix.eventadmin.impl.tasks.DenylistLatch

    public class DenylistLatch
    extends Object

A latch that checks handlers for denying on an interval.

### Constructor Summary

Constructors
`DenylistLatch​(int count, long timeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToDenylistCheck​(HandlerTask task)` Adds a handler task to the timeout based deny list checking.
`void` `awaitAndDenylistCheck()` Causes current thread to wait until each handler has called countDown.
`void` `countDown()` Count down the number of handlers blocking event completion.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DenylistLatch

    public DenylistLatch​(int count,
                         long timeout)

Parameters:
  `count` - Number of handlers that must call countdown
  `timeout` - Timeout in Milliseconds to check for denying handlers

### Method Detail

#### countDown

    public void countDown()

Count down the number of handlers blocking event completion.

#### addToDenylistCheck

    public void addToDenylistCheck​(HandlerTask task)

Adds a handler task to the timeout based deny list checking.

Parameters:
  `task` - The handler task

#### awaitAndDenylistCheck

    public void awaitAndDenylistCheck()

Causes current thread to wait until each handler has called countDown. Checks on timeout interval to determine if a handler needs deny listing.